Restorable Dropped Databases - Get

復元できる削除済みデータベースを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppededDatabaseId}?api-version=2014-04-01

URI パラメーター

名前 / 必須 型 説明
resourceGroupName
path True

string

リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。

restorableDroppededDatabaseId
path True

string

削除されたデータベースの ID (databaseName、deletionTimeInFileTimeFormat の形式)

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string

Azure サブスクリプションを識別するサブスクリプション ID。

api-version
query True

string

要求に使用する API バージョン。

応答

名前 型 説明
200 OK

RestorableDroppedDatabase

わかりました

例

Get a restorable dropped database

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000?api-version=2014-04-01

応答のサンプル

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000",
  "name": "restorabledroppeddatabasetest-7654,131403269876900000",
  "type": "Microsoft.Sql/servers/restorableDroppedDatabases",
  "location": "Japan East",
  "properties": {
    "databaseName": "restorabledroppeddatabasetest-7654",
    "edition": "Basic",
    "maxSizeBytes": "2147483648",
    "serviceLevelObjective": "Basic",
    "elasticPoolName": null,
    "creationDate": "2017-02-10T00:56:19.2Z",
    "deletionDate": "2017-05-27T02:49:47.69Z",
    "earliestRestoreDate": "2017-05-20T02:49:47.69Z"
  }
}

定義

RestorableDroppedDatabase

復元可能な削除されたデータベース

名前 型 説明
id

string

リソース ID。

location

string

リソースが存在する地理的な場所

name

string

リソース名。

properties.creationDate

string (date-time)

データベースの作成日 (ISO8601形式)

properties.databaseName

string

データベースの名前

properties.deletionDate

string (date-time)

データベースの削除日 (ISO8601形式)

properties.earliestRestoreDate

string (date-time)

データベースの最も古い復元日 (ISO8601形式)

properties.edition

string

データベースのエディション

properties.elasticPoolName

string

データベースのエラスティック プール名

properties.maxSizeBytes

string

データベースの最大サイズ (バイト単位)

properties.serviceLevelObjective

string

データベースのサービス レベル目標名

type

string

リソースの種類。